---
title: File.size
slug: Web/API/File/size
tags:
  - API
  - Guide
  - fileapi
---
<p>{{APIRef("File API") }}</p>

<h2 id="Summary">Summary</h2>

<p>Returns the size of a file in bytes.</p>

<h2 id="Syntax">Syntax</h2>

<pre>var size = <em>instanceOfFile</em>.size</pre>

<h2 id="Value">Value</h2>

<p>A number</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Blob.size")}}</li>
</ul>

